Bug 752411 - fedpkg commit -c no longer works
Summary: fedpkg commit -c no longer works
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-09 12:59 UTC by Rex Dieter
Modified: 2013-01-10 06:40 UTC (History)
2 users (show)

Fixed In Version: fedpkg-1.9-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-31 02:57:51 UTC
Type: ---


Attachments (Terms of Use)

Description Rex Dieter 2011-11-09 12:59:27 UTC
Using fedpkg-1.5-1.fc16, 
fedpkg commit -c
no longer works, get an error:
usage: fedpkg [-c CONFIG]
fedpkg: error: argument -c/--config: expected one argument

but,
fedpkg commit --clog 
does still work.

Comment 1 Jesse Keating 2011-11-09 17:25:44 UTC
oh, haha.  That's a fun interaction with argparse's parse known args.  I'll just drop the -c alias for --clog and make people type it all the way out.  Tab completion for the win anyway.

Comment 2 Jesse Keating 2012-01-31 22:30:02 UTC
Fixed in 360db6b

Comment 3 Fedora Update System 2012-03-12 23:56:24 UTC
rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rpkg-1.14-1.fc16,fedpkg-1.9-1.fc16

Comment 4 Fedora Update System 2012-03-12 23:56:56 UTC
fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc15,rpkg-1.14-1.fc15

Comment 5 Fedora Update System 2012-03-12 23:57:25 UTC
fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17

Comment 6 Fedora Update System 2012-03-13 17:10:49 UTC
Package fedpkg-1.9-1.fc17, rpkg-1.14-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.9-1.fc17 rpkg-1.14-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3682/fedpkg-1.9-1.fc17,rpkg-1.14-1.fc17
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-03-31 02:57:51 UTC
fedpkg-1.9-1.fc15, rpkg-1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-31 03:21:00 UTC
fedpkg-1.9-1.fc16, rpkg-1.15-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-04-12 02:06:45 UTC
fedpkg-1.9-1.fc17, rpkg-1.15-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.